<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Package model</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Package model";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package model" class="title">Uses of Package<br>model</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../model/package-summary.html">model</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="controler">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../model/package-summary.html">model</a> used by <a href="../controler/package-summary.html">controler</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/GameRule.html#controler">GameRule</a>
<div class="block">The Class GameRule.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/GameRuleOnline.html#controler">GameRuleOnline</a>
<div class="block">The Class GameRuleOnline.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Map.html#controler">Map</a>
<div class="block">The Class Map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/Piece.html#controler">Piece</a>
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Player.html#controler">Player</a>
<div class="block">The Class Player represent and store the characteristic of a player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/PlayerOnline.html#controler">PlayerOnline</a>
<div class="block">The Class PlayerOnline is used for the onlineGmae, it have the particularity to have a Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Position.html#controler">Position</a>
<div class="block">The Class Position is explicit, this class is a landmark used in a lot of board.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="model">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../model/package-summary.html">model</a> used by <a href="../model/package-summary.html">model</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/GameRule.html#model">GameRule</a>
<div class="block">The Class GameRule.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/Map.html#model">Map</a>
<div class="block">The Class Map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Pattern.html#model">Pattern</a>
<div class="block">The Class Pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/Piece.html#model">Piece</a>
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Player.html#model">Player</a>
<div class="block">The Class Player represent and store the characteristic of a player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/PlayerOnline.html#model">PlayerOnline</a>
<div class="block">The Class PlayerOnline is used for the onlineGmae, it have the particularity to have a Id.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Position.html#model">Position</a>
<div class="block">The Class Position is explicit, this class is a landmark used in a lot of board.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../model/package-summary.html">model</a> used by <a href="../view/package-summary.html">view</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Piece.html#view">Piece</a>
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../model/class-use/Player.html#view">Player</a>
<div class="block">The Class Player represent and store the characteristic of a player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../model/class-use/Position.html#view">Position</a>
<div class="block">The Class Position is explicit, this class is a landmark used in a lot of board.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
